package fr.safepic.jbtm1249;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class TestMain {
	public static InitialContext initialContext() throws NamingException {
		Properties props = new Properties();
		props.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
		props.put("jboss.naming.client.ejb.context", true);
		return new InitialContext(props);
	}
	
	public static TestEJBRemote lookupRemote(InitialContext ic) throws NamingException {
		TestEJBRemote remote = (TestEJBRemote) ic.lookup("ejb:/TestEJB/TestEJB!fr.safepic.jbtm1249.TestEJBRemote");
		return remote;
	}
	
	public static void main(String[] args) throws Exception {
		InitialContext ic = initialContext();
		TestEJBRemote remote = lookupRemote(ic);
		remote.twoPhaseTest();
	}

}
